Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 24465 - net-misc/rdist should use bison instead of yacc, ebuild fix included
Summary: net-misc/rdist should use bison instead of yacc, ebuild fix included
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Jon Portnoy (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-14 09:24 UTC by splite
Modified: 2003-09-08 09:43 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description splite 2003-07-14 09:24:05 UTC
net-misc/rdist works fine using bison instead of yacc.  This saves having to
install dev-util/yacc (which is broken under IA64 anyway.)  Here's a fix:

diff -u /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild rdist-6.1.5.ebuild
--- /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild      2003-02-13
10:05:46.000000000 -0500
+++ rdist-6.1.5.ebuild  2003-07-14 11:19:51.000000000 -0500
@@ -10,11 +10,11 @@
 SLOT="1"
 KEYWORDS="x86 sparc "
 
-DEPEND="dev-util/yacc"
-RDEPEND=""  # yacc only needed for compile
+DEPEND="sys-devel/bison"
+RDEPEND=""  # bison only needed for compile
 
 src_compile() {
-       emake || die "emake failed"
+       emake YACC='bison -y' || die "emake failed"
 }
 
 src_install() {
diff -u /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild rdist-6.1.5.ebuild
--- /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild      2003-02-13
10:05:46.000000000 -0500
+++ rdist-6.1.5.ebuild  2003-07-14 11:19:51.000000000 -0500
@@ -10,11 +10,11 @@
 SLOT="1"
 KEYWORDS="x86 sparc "
 
-DEPEND="dev-util/yacc"
-RDEPEND=""  # yacc only needed for compile
+DEPEND="sys-devel/bison"
+RDEPEND=""  # bison only needed for compile
 
 src_compile() {
-       emake || die "emake failed"
+       emake YACC='bison -y' || die "emake failed"
 }
 
 src_install() {
diff -u /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild rdist-6.1.5.ebuild
--- /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild      2003-02-13
10:05:46.000000000 -0500
+++ rdist-6.1.5.ebuild  2003-07-14 11:19:51.000000000 -0500
@@ -10,11 +10,11 @@
 SLOT="1"
 KEYWORDS="x86 sparc "
 
-DEPEND="dev-util/yacc"
-RDEPEND=""  # yacc only needed for compile
+DEPEND="sys-devel/bison"
+RDEPEND=""  # bison only needed for compile
 
 src_compile() {
-       emake || die "emake failed"
+       emake YACC='bison -y' || die "emake failed"
 }
 
 src_install() {
diff -u /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild rdist-6.1.5.ebuild
--- /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild      2003-02-13
10:05:46.000000000 -0500
+++ rdist-6.1.5.ebuild  2003-07-14 11:19:51.000000000 -0500
@@ -10,11 +10,11 @@
 SLOT="1"
 KEYWORDS="x86 sparc "
 
-DEPEND="dev-util/yacc"
-RDEPEND=""  # yacc only needed for compile
+DEPEND="sys-devel/bison"
+RDEPEND=""  # bison only needed for compile
 
 src_compile() {
-       emake || die "emake failed"
+       emake YACC='bison -y' || die "emake failed"
 }
 
 src_install() {
diff -u /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild rdist-6.1.5.ebuild
--- /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild      2003-02-13
10:05:46.000000000 -0500
+++ rdist-6.1.5.ebuild  2003-07-14 11:19:51.000000000 -0500
@@ -10,11 +10,11 @@
 SLOT="1"
 KEYWORDS="x86 sparc "
 
-DEPEND="dev-util/yacc"
-RDEPEND=""  # yacc only needed for compile
+DEPEND="sys-devel/bison"
+RDEPEND=""  # bison only needed for compile
 
 src_compile() {
-       emake || die "emake failed"
+       emake YACC='bison -y' || die "emake failed"
 }
 
 src_install() {
diff -u /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild rdist-6.1.5.ebuild
--- /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild      2003-02-13
10:05:46.000000000 -0500
+++ rdist-6.1.5.ebuild  2003-07-14 11:19:51.000000000 -0500
@@ -10,11 +10,11 @@
 SLOT="1"
 KEYWORDS="x86 sparc "
 
-DEPEND="dev-util/yacc"
-RDEPEND=""  # yacc only needed for compile
+DEPEND="sys-devel/bison"
+RDEPEND=""  # bison only needed for compile
 
 src_compile() {
-       emake || die "emake failed"
+       emake YACC='bison -y' || die "emake failed"
 }
 
 src_install() {
diff -u /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild rdist-6.1.5.ebuild
--- /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild      2003-02-13
10:05:46.000000000 -0500
+++ rdist-6.1.5.ebuild  2003-07-14 11:19:51.000000000 -0500
@@ -10,11 +10,11 @@
 SLOT="1"
 KEYWORDS="x86 sparc "
 
-DEPEND="dev-util/yacc"
-RDEPEND=""  # yacc only needed for compile
+DEPEND="sys-devel/bison"
+RDEPEND=""  # bison only needed for compile
 
 src_compile() {
-       emake || die "emake failed"
+       emake YACC='bison -y' || die "emake failed"
 }
 
 src_install() {
diff -u /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild rdist-6.1.5.ebuild
--- /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild      2003-02-13
10:05:46.000000000 -0500
+++ rdist-6.1.5.ebuild  2003-07-14 11:19:51.000000000 -0500
@@ -10,11 +10,11 @@
 SLOT="1"
 KEYWORDS="x86 sparc "
 
-DEPEND="dev-util/yacc"
-RDEPEND=""  # yacc only needed for compile
+DEPEND="sys-devel/bison"
+RDEPEND=""  # bison only needed for compile
 
 src_compile() {
-       emake || die "emake failed"
+       emake YACC='bison -y' || die "emake failed"
 }
 
 src_install() {
diff -u /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild rdist-6.1.5.ebuild
--- /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild      2003-02-13
10:05:46.000000000 -0500
+++ rdist-6.1.5.ebuild  2003-07-14 11:19:51.000000000 -0500
@@ -10,11 +10,11 @@
 SLOT="1"
 KEYWORDS="x86 sparc "
 
-DEPEND="dev-util/yacc"
-RDEPEND=""  # yacc only needed for compile
+DEPEND="sys-devel/bison"
+RDEPEND=""  # bison only needed for compile
 
 src_compile() {
-       emake || die "emake failed"
+       emake YACC='bison -y' || die "emake failed"
 }
 
 src_install() {
diff -u /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild rdist-6.1.5.ebuild
--- /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild      2003-02-13
10:05:46.000000000 -0500
+++ rdist-6.1.5.ebuild  2003-07-14 11:19:51.000000000 -0500
@@ -10,11 +10,11 @@
 SLOT="1"
 KEYWORDS="x86 sparc "
 
-DEPEND="dev-util/yacc"
-RDEPEND=""  # yacc only needed for compile
+DEPEND="sys-devel/bison"
+RDEPEND=""  # bison only needed for compile
 
 src_compile() {
-       emake || die "emake failed"
+       emake YACC='bison -y' || die "emake failed"
 }
 
 src_install() {
diff -u /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild rdist-6.1.5.ebuild
--- /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild      2003-02-13
10:05:46.000000000 -0500
+++ rdist-6.1.5.ebuild  2003-07-14 11:19:51.000000000 -0500
@@ -10,11 +10,11 @@
 SLOT="1"
 KEYWORDS="x86 sparc "
 
-DEPEND="dev-util/yacc"
-RDEPEND=""  # yacc only needed for compile
+DEPEND="sys-devel/bison"
+RDEPEND=""  # bison only needed for compile
 
 src_compile() {
-       emake || die "emake failed"
+       emake YACC='bison -y' || die "emake failed"
 }
 
 src_install() {
diff -u /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild rdist-6.1.5.ebuild
--- /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild      2003-02-13
10:05:46.000000000 -0500
+++ rdist-6.1.5.ebuild  2003-07-14 11:19:51.000000000 -0500
@@ -10,11 +10,11 @@
 SLOT="1"
 KEYWORDS="x86 sparc "
 
-DEPEND="dev-util/yacc"
-RDEPEND=""  # yacc only needed for compile
+DEPEND="sys-devel/bison"
+RDEPEND=""  # bison only needed for compile
 
 src_compile() {
-       emake || die "emake failed"
+       emake YACC='bison -y' || die "emake failed"
 }
 
 src_install() {
diff -u /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild rdist-6.1.5.ebuild
--- /usr/portage/net-misc/rdist/rdist-6.1.5.ebuild      2003-02-13
10:05:46.000000000 -0500
+++ rdist-6.1.5.ebuild  2003-07-14 11:19:51.000000000 -0500
@@ -10,11 +10,11 @@
 SLOT="1"
 KEYWORDS="x86 sparc "
 
-DEPEND="dev-util/yacc"
-RDEPEND=""  # yacc only needed for compile
+DEPEND="sys-devel/bison"
+RDEPEND=""  # bison only needed for compile
 
 src_compile() {
-       emake || die "emake failed"
+       emake YACC='bison -y' || die "emake failed"
 }
 
 src_install() {


Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Jon Portnoy (RETIRED) gentoo-dev 2003-09-08 09:43:54 UTC
Fixed. Much thanks.